Bug 186002 - Review Request: archmage - Extensible reader/decompiler of files in CHM format
Review Request: archmage - Extensible reader/decompiler of files in CHM format
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shahms E. King
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-03-20 16:39 EST by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-19 17:24:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-03-20 16:39:40 EST
SRPM Name or Url: 

arCHMage - extensible reader/decompiler of files in CHM format 
(Microsoft HTML help, also known as Compiled HTML).
arCHMage is based on chmlib by Jed Wing and is written on python.
Comment 1 Shahms E. King 2006-04-18 13:40:03 EDT
 - rpmlint gives no errors
 - builds in mach just fine
 - spec file and package name match (but see below)
 - GPL license, license included, etc.
 - md5sum matches upstream
 - it meets the rest of the MUST clauses

The only "bad" thing I could find is that I don't think python-archmod is the
most appropriate name as the python module itself is secondary to the binary
functionality, if I'm not mistaken. It seems similar in this regard to bzr and
yum, and should be named appropriately.

Other than that, the package looks good.
Comment 2 Patrice Dumas 2006-04-18 17:50:18 EDT
I followed the packaging guidelines blindly... The packaging guidelines are in
my opinion quite misleading on that subject. For perl it doesn't matter, as
there is CPAN which is the reference for what is a module and what isn't for
python there should be a word to help packagers choice. I have uploaded a srpm
for archmage here:

Should archmage provides: python-archmod, or even conflicts?
Comment 3 Shahms E. King 2006-04-19 11:01:20 EDT
Yes, the packaging guidelines are unclear on that.  It's something that needs to
be clarified. I'd leave out the provides.

- rpmlint (still) gives no errors and there are no other regressions, the
package looks good.

Comment 4 Patrice Dumas 2006-04-19 17:24:50 EDT
Built for devel, thanks.

Note You need to log in before you can comment on or make changes to this bug.